Package ghidra.features.bsim.gui.search.results.apply

# Class NameAndNamespaceBSimApplyTask

java.lang.Object
ghidra.util.task.Task
ghidra.program.util.ProgramTask
ghidra.features.bsim.gui.search.results.apply.AbstractBSimApplyTask
ghidra.features.bsim.gui.search.results.apply.NameAndNamespaceBSimApplyTask

All Implemented Interfaces:
  `MonitoredRunnable`

public class NameAndNamespaceBSimApplyTask extends AbstractBSimApplyTask
Task for applying names and namespaces from a match function to the queried function

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramTask

  `program`

  ### Fields inherited from class ghidra.util.task.Task

  `taskMonitor, waitForTaskCompleted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameAndNamespaceBSimApplyTask(Program program, List<BSimMatchResult> results, ServiceProvider serviceProvider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BSimApplyResult`
  `apply(Function target, Function source)`
  `protected boolean`
  `hasSameApplyData(List<Function> functions)`

  ### Methods inherited from class ghidra.features.bsim.gui.search.results.apply.AbstractBSimApplyTask

  `doRun, releaseOpenedPrograms`

  ### Methods inherited from class ghidra.program.util.ProgramTask

  `run`

  ### Methods inherited from class ghidra.util.task.Task

  `addTaskListener, canCancel, cancel, getStatusTextAlignment, getTaskTitle, getWaitForTaskCompleted, hasProgress, isCancelled, isModal, monitoredRun, notifyTaskListeners, setHasProgress`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameAndNamespaceBSimApplyTask

    public NameAndNamespaceBSimApplyTask(Program program, List<BSimMatchResult> results, ServiceProvider serviceProvider)

- ## Method Details

  - ### hasSameApplyData

    protected boolean hasSameApplyData(List<Function> functions)
    Specified by:
      `hasSameApplyData` in class `AbstractBSimApplyTask`

  - ### apply

    protected BSimApplyResult apply(Function target, Function source)
    Specified by:
      `apply` in class `AbstractBSimApplyTask`